const { defineConfig } = require('@vue/cli-service')

const Icons = require('unplugin-icons/webpack')
const IconResolver = require('unplugin-icons/resolver')
const Components = require('unplugin-vue-components/webpack');

module.exports = defineConfig({
  transpileDependencies: true,
    configureWebpack: {
        plugins: [
            Components({
                dts: false,
                resolvers: [IconResolver({ componentPrefix: 'i' })]
            }),
            Icons({ compiler: 'vue2', scale: 1, autoInstall: true })
        ]
    },
  devServer:{
    port:8080,
    proxy:{
      '/api':{
          target:'http://121.43.55.7:5000',
          changeOrigin:true,
          pathRewrite:{
            '^/api':''
          }
      }
    }
  }
})

// const path = require('path')
// module.exports = {
//   chainWebpack: config => {
//       const svgRule = config.module.rule('svg')
//       svgRule.uses.clear()
//       svgRule
//           .test(/.svg$/)
//           .include.add(path.resolve(__dirname, './src/icons')).end()
//           .use('svg-sprite-loader')
//           .loader('svg-sprite-loader')
//           .options({
//               symbolId: 'icon-[name]'
//           })
//       const fileRule = config.module.rule('file')
//       fileRule.uses.clear()
//       fileRule
//           .test(/.svg$/)
//           .exclude.add(path.resolve(__dirname, './src/icons'))
//           .end()
//           .use('file-loader')
//           .loader('file-loader')
//   }
// }

